<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOperationsTable extends Migration
{
    /**
     * Run the migrations.5
     *
     * @return void
     */
    public function up()
    {
        Schema::create('operations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('fire_station_id')->unsigned();
            $table->foreign('fire_station_id')->references('id')->on('fire_stations')->onDelete('cascade');
            $table->dateTime('operation_date');
            $table->string('location');
            $table->string('target');
            $table->string('danger_type');
            $table->longtext('description');
            $table->integer('commander_id')->unsigned();
            $table->foreign('commander_id')->references('id')->on('users');
            $table->integer('editor_id')->nullable()->default(null);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('operations');
    }
}
